var strArray=new Array();
strArray[0]='<font color="#CC0000">·</font><a href="http://www.citk.net/color/" target="_blank">网站色彩搭配完全手册</a>'
strArray[1]='<font color="#CC0000">·</font><a href="Article_Special.asp?SpecialID=1" target="_blank">600多个世界著名标志欣赏</a>'
strArray[2]='<font color="#CC0000">·</font><a href="Article_Special.asp?SpecialID=3" target="_blank">LOGO欣赏全集及源代码下载</a'
strArray[3]='<font color="#CC0000">·</font><a href="Article_Special.asp?SpecialID=4" target="_blank">网站Banner欣赏全集</a'
strArray[4]='<font color="#CC0000">·</font><a href="Article_Special.asp?SpecialID=2" target="_blank">网页设计ICON欣赏全集</a>'
strArray[5]='<font color="#CC0000">·</font><a href="http://kr.citk.net" target="_blank">韩国网站网址大全，一网打尽韩国酷站</a>'
strArray[6]='<font color="#CC0000">·</font><a href="http://host.citk.net" target="_blank">丁丁网络科技，主机域名建站推广</a>'


showId=Math.floor(Math.random()*7);
tempStr=strArray[showId];
strArray[showId]=strArray[0];
strArray[0]=tempStr;
              
document.write('<table width=100% border=0 cellspacing=0 cellpadding=0>'
+'<tr><td>'
+'<div id="toptable" >'
+'<table width=250 border=0 cellspacing=0 cellpadding=0 >'
+'<tr><td width=250 height=21 >'+strArray[0]+'</td></tr>'
+'<tr><td height=21 >'+strArray[1]+'</td></tr>'
+'<tr><td height=21 >'+strArray[2]+'</td></tr>'
+'<tr><td height=21 >'+strArray[3]+'</td></tr>'
+'<tr><td height=21 >'+strArray[4]+'</td></tr>'
+'<tr><td height=21 >'+strArray[5]+'</td></tr>'
+'<tr><td height=21 >'+strArray[6]+'</td></tr>'
+'</td></tr>'
+'</table>'
+'</div>'
+'</td></tr>'
+'</table>');

marqueesHeight=21;
stopscroll=false;
toptable.scrollTop=0;

with(toptable){
  style.width=0;
  style.height=marqueesHeight;
  style.overflowX="visible";
  style.overflowY="hidden";
  noWrap=true;
  onmouseover=new Function("stopscroll=true");
  onmouseout=new Function("stopscroll=false");
}

preTop=0; currentTop=21; stoptime=0;
toptable.innerHTML+=toptable.innerHTML;

function init_srolltext(){
  toptable.scrollTop=0;
  setInterval("scrollUp()",40);
}init_srolltext();

function scrollUp(){
  if(stopscroll==true) return;
  currentTop+=1;
  if(currentTop==22)
  {
  	stoptime+=1;
  	currentTop-=1;
  	if(stoptime==80) 
  	{
  		currentTop=0;
  		stoptime=0;
  	}
  }
  else {  	
	  preTop=toptable.scrollTop;
	  toptable.scrollTop+=1;
	  if(preTop==toptable.scrollTop){
	    toptable.scrollTop=42;
	    toptable.scrollTop+=1;
	  }
  }

}